
QGIS Application - Bug report #15068

No rubberband when switching from "Add circular string" (and by radius) to "Add feature" tool

2016-06-18 01:11 PM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23011

Description

While digitizing line or polygon feature, you can switch between the simple "Add feature" and "Add circular string" tools.

When switching from "Add feature" to "Add circular string", the rubberband is active and help to follow the geometry being drawn.

But when switching from "Add circular string" (or by radius) to "Add feature" tool, no rubberband is displayed and the user can think that

something is going wrong with the digitizing process.

Related issues:

Related to QGIS Application - Bug report # 18252: Shape digitize tools do not... Closed 2018-02-27

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2018-01-13 11:54 AM - Jan Lippmann

i can confirm.

qgis 2.18.x and actual master are affected.

QGIS version

2.99.0-Master

QGIS code revision

75efd51d21

#3 - 2018-02-27 06:10 PM - Harrissou Santanna

- Affected QGIS version changed from 2.14.3 to 3.0.0

- Description updated

#4 - 2018-02-27 06:25 PM - Harrissou Santanna

Actually it looks like it's (partially) fixed in 3.1 (I guess 3.0 too) though when switching from "circular tools" to "add feature", the rubberband line is lost until

you place a vertex. And then, it's back.

The other issue is the loss of the rubberband fill each time you use the circular tools (and same for other shape digitizing tools - see #18252).

#5 - 2018-02-27 06:26 PM - Harrissou Santanna

- Related to Bug report #18252: Shape digitize tools do not show rubberband fill color when drawing polygons added
#6 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#7 - 2019-03-09 03:30 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Status changed from Closed to Open
